'use strict';

var suite = require('../utils/suite.js');
var put = require('./put.js');
var get = require('./get.js');
var findPeer = require('./find-peer.js');
var provide = require('./provide.js');
var findProvs = require('./find-provs.js');
var query = require('./query.js');
var disabled = require('./disabled.js');

const tests = {
  put: put.testPut,
  get: get.testGet,
  findPeer: findPeer.testFindPeer,
  provide: provide.testProvide,
  findProvs: findProvs.testFindProvs,
  query: query.testQuery,
  disabled: disabled.testDisabled
};
var testDht = suite.createSuite(tests);

module.exports = testDht;
